Imports C1.Chart
Imports Windows.UI.Xaml.Controls
Imports System.Linq
Imports System.Collections.Generic
Imports System

''' <summary>
''' Interaction logic for TrendLines.xaml
''' </summary>
Partial Public Class TrendLines
    Inherits Page
    Private dataSerivice As DataService = DataService.GetService()

    Public Sub New()
        InitializeComponent()
    End Sub

    Public ReadOnly Property Data() As List(Of Quote)
        Get
            Return dataSerivice.GetSymbolData("box")
        End Get
    End Property

    Public ReadOnly Property FitType() As List(Of String)
        Get
            Return New List(Of String)() From {
                "Linear",
                "Exponent",
                "Polynom",
                "AverageX",
                "MinX",
                "MaxX",
                "AverageY",
                "MinY",
                "MaxY"
            }
        End Get
    End Property
End Class